--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_clock.c	2015-08-19 07:24:59.751495742 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_clock.c	2015-08-19 07:24:59.756902348 -0400
@@ -67,7 +67,7 @@
 	/* Set thread timeout */
 	if (cfg[CFG_TIMEOUT_ENABLE].current) {
 		(void) drv_getparm(LBOLT, &time);
-		time += (timeout * drv_usectohz(1000000));
+		time += drv_sectohz(timeout);
 	} else {
 		time = -1;
 	}
@@ -131,7 +131,7 @@
 	if (!(hba->timer_flags & EMLXS_TIMER_KILL)) {
 		hba->timer_id =
 		    timeout(emlxs_timer, (void *)hba,
-		    (EMLXS_TIMER_PERIOD * drv_usectohz(1000000)));
+		    drv_sectohz(EMLXS_TIMER_PERIOD));
 	} else {
 		hba->timer_id = 0;
 		hba->timer_flags |= EMLXS_TIMER_ENDED;
@@ -240,7 +240,7 @@
 	if (!hba->timer_id) {
 		hba->timer_flags = 0;
 		hba->timer_id =
-		    timeout(emlxs_timer, (void *)hba, drv_usectohz(1000000));
+		    timeout(emlxs_timer, (void *)hba, drv_sectohz(1));
 	}
 	mutex_exit(&EMLXS_TIMER_LOCK);
 
